ubuntu-defaults-baltix (18.04.1) bionic; urgency=low

  * Build for Baltix-Edu 20.04
  * Make .desktop files in Desktop trusted executable by creating systemd user 
    unit baltix-initial-setup-first-login.service

 -- Mantas Kriaučiūnas <mantas@baltix.eu>  Tue, 07 Jun 2020 20:59:00 +0300

ubuntu-defaults-baltix (16.04.5) xenial; urgency=low

  * Added /etc/cron.daily/add-fix-baltix-repo script to check if ppa:baltix 
    repository is not disabled by the overly aggressive distro upgrade process
  * Added debian/postinst script for automatical adding ppa:baltix repo also for
    fixing bug "E: Repository 'http://ppa.launchpad.net/baltix/ppa/ubuntu focal 
    InRelease' changed its 'Label' value" (bug LP:#1878608 ) - command 
    apt-get --allow-releaseinfo-change update
  * postinst script adds GRUB_RECORDFAIL_TIMEOUT=5 to /etc-default/grub
  * Removed unneeded menu files and other improvements to debian/preinst
  * Recommends: added i965-va-driver-shaders | i965-va-driver
  * Improved /hooks/chroot - removing lots unneeded fonts, input methods, etc
  * Added wine-explorer.desktop and wine.desktop for user-friendly launching
    Windows executables (launchers are visible when Wine software is installed) 
  * Don't display "Switch desktop environment" launcher if Unity isn't installed

 -- Mantas Kriaučiūnas <mantas@baltix.eu>  Tue, 30 Jun 2020 20:59:00 +0300

ubuntu-defaults-baltix (16.04.4) xenial; urgency=low

  * Recommends: added zram-config|zram-tools,neofetch,earlyoom (bug LP:#1859274);
    |mate-calc,|gucharmap,clipit|qlipper,mate-system-monitor|qps,
    budgie-weathershow-applet, libreoffice-style-colibre, replaced adapta-gtk-theme 
    with arc-theme (adapta development ended: github.com/adapta-project)
  * Removed /ubiquity-slideshow: dh_ubuntu_defaults doesn't generate depends/recommends
    in Ubuntu 18+ if folder ubiquity-slideshow is in defaults package (bug LP: #1699925)
  * Set clock-show-weekday, removed button-layout in gnome interface, added 
    'ubiquity.desktop' and 'snap-store_ubuntu-software.desktop' to favorite-apps
  * Baltix homepage is baltix.eu - fixed in Firefox bookmarks and /etc/update-motd.d/12-baltix-text 

 -- Mantas Kriaučiūnas <mantas@baltix.eu>  Tue, 16 Jun 2020 20:59:00 +0300

ubuntu-defaults-baltix (16.04.3) xenial; urgency=low

  * Removed thunderbird-locale-lv|evolution|geary|kmail from Recommends
  * Added ubuntu-touch-sounds to Conflicts (bug LP: #1776074)
  * Added gnome-search-tool|catfish, pop-gtk-theme|adapta-gtk-theme, 
    gnome-panel|mate-desktop-environment-core|lxqt-core, firefox-locale-ru,
    gnome-session-flashback|lxqt-session|mate-session-manager to Recommends
  * Temporary removed change-desktop-environment from unity/launchers.txt to
    remove update-gconf-defaults (from old gconf2 package) invocation in .postinst

 -- Mantas Kriaučiūnas <mantas@akl.lt>  Tue, 31 Jul 2018 20:59:00 +0300

ubuntu-defaults-baltix (16.04.2) xenial; urgency=low

  * Prepared package to work correctly on Ubuntu 18.04 LTS - modified 
    /usr/share/glib-2.0/schemas/* and hooks/chroot
  * Removed gnome-shell-extension-windowlist|gnome-shell-extensions-windowlist,
    unity-tweak-tool from Recommends
  * Added gnome-shell-extension-dash-to-panel, libgtk3-perl, gnome-packagekit
    gnome-search-tool|mate-utils, gnome-calculator, gnome-characters, pm-utils,
    gnome-system-monitor, libreoffice-systray and numlockx to Recommends

 -- Mantas Kriaučiūnas <mantas@akl.lt>  Tue, 08 May 2018 20:59:00 +0300

ubuntu-defaults-baltix (14.04.2) trusty; urgency=low

  * Set [com.canonical.indicator.datetime] show-date=true
  * Added usb-modeswitch, nautilus-admin, libreoffice-style-tango, 
    unity-tweak-tool and partclone to Recommends

 -- Mantas Kriaučiūnas <mantas@akl.lt>  Mon, 28 Sep 2015 21:16:00 +0300

ubuntu-defaults-baltix (14.04.1) trusty; urgency=low

  * Set nautilus.preferences executable-text-activation='ask' (bug LP: #1111397)
  * Added fonts-crosextra-carlito (Calibri compatible), fonts-crosextra-caladea,
    exfat-fuse (bug LP: #1301530), cabextract, baltix-keyring, libgtk2-perl (LP:
    #1404221 "Can't install packages which ask debconf questions") to Recommends,
    also grub-customizer is more useful on installed system than boot-repair
  * Thunderbird and it's locale packages shouldn't be installed on systems with 
    another email client - added "thunderbird-locale-lt|evolution|geary|kmail"
  * whitelisted Youtube.com,tv.lrytas.lt;disable html5video and java blocking in
    Firefox Flashblock ext (bug LP: #1418465): added "--with=config-package" to
    debian/rules, config-package-dev (>=5) to Build-Depends and debian/displace

 -- Mantas Kriaučiūnas <mantas@akl.lt>  Mon, 29 Dec 2014 21:16:00 +0200

ubuntu-defaults-baltix (14.04) trusty; urgency=low

  * Modified /usr/share/glib-2.0/schemas/* and hooks/chroot to work correctly 
    on Ubuntu 14.04.1 and latest Gnome-Shell-extension-taskbar LTS
  * Changed recommends shimmer-themes|numix-gtk-theme;
    added meld, gnome-getting-started-docs-lt, gnome-getting-started-docs-lv,
    gnome-getting-started-docs-ru|gnome-getting-started-docs-pl to Recommends
  * Other improvements (default to single-click, Numix theme, etc)

 -- Mantas Kriaučiūnas <mantas@akl.lt>  Mon, 2 Jun 2014 19:16:00 +0300

ubuntu-defaults-baltix (12.04.5) precise; urgency=low

  * Modified change-desktop-environment.desktop and system-config-printer.desktop
    to be visible in Unity-Control-Center
  * Improved /usr/share/glib-2.0/schemas/* and hooks/chroot to work correctly 
    on Ubuntu 14.04 LTS
  * Added new wallpaper and /usr/share/gnome-background-properties/baltix-defaults-wallpapers.xml
  * Added numix-gtk-theme, shimmer-themes, libavcodec-extra|libavcodec-extra-53,
    gstreamer1.0-plugins-bad-faad, gstreamer1.0-plugins-bad-videoparsers, 
    grub-customizer, whdd, chntpw to Recommends
  * Fixed /usr/bin/change-desktop-environment to work correctly in Ubuntu 14.04
  * Set [org.gnome.shell.overrides] button-layout="menu:minimize,maximize,close"
  * Removed [org.gnome.nautilus.desktop] computer-icon-visible=true, added 
    home-icon-visible=true
  * Added mdadm installation, python-apport purging and removed libutouch-geis1
    libutouch-grail1, libutouch-frame1, libutouch-evemu1, linux-headers-3.2.0-23
    purging in hooks/chroot

 -- Mantas Kriaučiūnas <mantas@akl.lt>  Fri, 2 May 2014 19:16:00 +0300

ubuntu-defaults-baltix (12.04.4) precise; urgency=low

  * Included /etc/update-motd.d/12-baltix-text file with http://baltix.lt URL
  * Fixed ubuntu-defaults-baltix installation in Ubuntu-GNOME distro - renamed 
    usr/share/xul-ext/ubufox/.../001ubuntu-gnome-mods.js=>002ubuntu-baltix-mods.js
    and ubuntu-gnome-homepage.properties => ubuntu-baltix-homepage.properties
  * Replaced myspell-* with hunspell-*|myspell-* in Recommends
  * Added gstreamer1.0-libav|gstreamer0.10-ffmpeg, gstreamer1.0-plugins-ugly|*
    indicator-weather|my-weather-indicator and fonts-cantarell to Recommends

 -- Mantas Kriaučiūnas <mantas@akl.lt>  Mon, 30 Dec 2013 19:16:00 +0300

ubuntu-defaults-baltix (12.04.3) precise; urgency=low

  * Added gparted and nice GNOME-Shell Extensions to Recommends:
    gnome-shell-extension-taskbar|gnome-shell-extension-windowlist|gnome-shell-extensions-dock-preview
    and gnome-shell-extensions-enhancements (metapackage for more useful extensions)
  * Enabled Taskbar extension in enabled-extensions override also 
    set .clock show-date=true, TODO: add 'Games' to app-folder-categories,
    see /usr/share/glib-2.0/schemas/20_gnome-shell-baltix.gschema.override
  * Set show-desktop-icons=true in [org.gnome.desktop.background] override
  * Renamed 20_*.gschema.override files to 25_* in /usr/share/glib-2.0/schemas
  * Removed NoDisplay from gnome-shell-extension-prefs.desktop and added diversion
  * Remove unneeded translations of LibreOffice Letter wizard (this is a 
    packaging bug): bg eu hu ja km ko pt pt-BR tr vi zh-CN zh-TW folders 
    from /usr/lib/libreoffice/share/template/wizard/letter/
  * Translated libreoffice-startcenter.desktop to Lithuanian 
    "Raštinės programos „LibreOffice“" in hooks/chroot
  * To hooks/chroot added thunderbird* packages downgrading to initial 12.04 ver
    - users will get automatically 9MB bigger latest version from precise-updates
  * Copy updated firmware files from /lib/firmware/3.8.0-*/ to /lib/firmware in
    hooks/chroot (duplicated files doesn't use space in compressed filesystem),
    see bug LP: #1250144
  * Replaced /usr/share/checkbox/data/video/Ogg_Theora_Video.ogv with symlink to
    /usr/share/example-content/Ubuntu_Free_Culture_Showcase/How fast.ogg also
    symlink /usr/share/checkbox/data/documents to example-content/ in hooks/chroot
  * Remove big changelog.gz and similar files from doc folder in hooks/chroot
  * Medibuntu repository is unmaintained and offline - removing Medibuntu repo
    from user's system in debian/preinst script, also from hooks/chroot and 
    medibuntu-keyring from Recommends, see 
    https://blueprints.launchpad.net/baltix/+spec/replace-medibuntu-repo-with-videolan-org-pub-debian
  * .jar files should be opened with Java Runtime by default - removing 
    "application/x-jar=file-roller.desktop" from /etc/gnome/defaults.list file
    in debian/preinst (workaround for bug LP: #1245874)
  * Set Firefox Home Page to default, because it's translated to all European 
    languages, looks better and is more functional than Ubuntu's about:startpage
    - copied /usr/share/xul-ext/ubufox/defaults/preferences/* from 
      ubuntu-gnome-default-settings 13.10 package, see bug LP: #1195367

 -- Mantas Kriaučiūnas <mantas@akl.lt>  Mon, 14 Oct 2013 19:16:00 +0300

ubuntu-defaults-baltix (12.04.2) precise; urgency=low

  * Simplified changing desktop environment between GNOME and Unity - 
    added /usr/bin/change-desktop-environment script and launcher
    change-desktop-environment.desktop to /etc/skel/Desktop/ and desktop/
  * hooks/chroot removes more unneeded packages (like libqt4-sql-mysql and
    libutouch-geis1) with 'apt-get purge --auto-remove' command
  * hooks/chroot removes qt-at-spi package, as it causes crashes in QT 
    applications' file open/save dialogs - workaround for bug LP: #998012 
  * Fixed libgtk2.0-0:i386 package installation problem in amd64 arch - added 
    removal of changed /usr/share/doc/libgtk2.0-0/changelog.gz file in preinst
    (see http://launchpad.net/questions/213431 for more info)
  * Added openoffice.org-hyphenation-lt|hyphen-lt|hyphen-hyphenation-patterns-lt,
    gkbd-capplet, gnome-search-tool, gpart and baltix-standard to Recommends

 -- Mantas Kriaučiūnas <mantas@akl.lt>  Sat, 30 Mar 2013 15:16:00 +0300

ubuntu-defaults-baltix (12.04.1) precise; urgency=low

  * Added ubuntu-tweak, nautilus-open-as-root, p7zip, stockfish, glchess, 
    indicator-sensors and hardinfo to Recommends
  * Lowered memory usage in Live session - chroot hook adds command in casper's
    25configure_init script to remove unneeded /etc/init/tty[3456].conf files
    in live session (LP: #366094)
  * Added Replaces: baltix-default-settings (<< 1.0) and
    Breaks: baltix-default-settings (<< 1.0) to debian/control

 -- Mantas Kriaučiūnas <mantas@akl.lt>  Thu, 11 Oct 2012 10:19:00 +0300

ubuntu-defaults-baltix (12.04) precise; urgency=low

  * Preparing Ubuntu-Baltix 12.04.1 release
  * Improved hooks/chroot - removes more unneeded packages with apt-get purge
  * Improved hooks/chroot - added unneeded non-european translations removal:
   - added custom /etc/locale.nopurge and /var/cache/localepurge/localelist config files
   - added hooks/localepurge command copied from localepurge 0.6.3 package

 -- Mantas Kriaučiūnas <mantas@akl.lt>  Mon, 10 Sep 2012 20:19:00 +0300

ubuntu-defaults-baltix (0.4) precise; urgency=low

  * Preparing final Ubuntu-Baltix 12.04 release
  * To hooks/chroot added linux-firmware-nonfree package downgrading command 
    to final 12.04 version - new version from precise-updates is 1MB bigger

 -- Mantas Kriaučiūnas <mantas@akl.lt>  Mon, 18 Jun 2012 20:18:00 +0300

ubuntu-defaults-baltix (0.3) precise; urgency=low

  * Added gnome-shell-extensions-gpaste, gnome-shell-extensions-noa11y,
   gnome-shell-extension-weather, indicator-weather, dconf-tools to Recommends
  * Improved default gnome-panel layout (added "Start" menu in bottom and 
   Firefox+LibreOffice launchers in top - Gnome-Shell also has same launchers)
  * Show standard system-config-printer in Gnome too - new tool from 
   gnome-control-center lacks features
  * Added software-center launcher to Gnome-Shell favorites panel
  * Enabled drive-menu@gnome-shell-extensions in enabled-extensions override
  * Corrected Firefox bookmarks - removed \" in dh_ubuntu_defaults.
  * Added Window maximize button in Gnome-Shell

 -- Mantas Kriaučiūnas <mantas@akl.lt>  Wed, 31 May 2012 20:18:00 +0300

ubuntu-defaults-baltix (0.2) precise; urgency=low

  * Improved a lot of things:
   - added gnome-shell, gnome-shell-extensions, gnome-tweak-tool to Recommends
   - added interface customizations in usr/share/glib-2.0/schemas (set 
    computer-icon-visible,trash-icon-visible,volumes-visible=true,
    buttons-have-icons=true, gnome.shell button-layout=":maximize,close")
   - added some english radiostations (Absoluteradio, Radio Paradise) to 
    radiostations.txt, please report if you need more radiostations.
   - removed unneeded packages by adding apt-get purge into hooks/chroot

 -- Mantas Kriaučiūnas <mantas@akl.lt>  Sat, 26 May 2012 19:08:00 +0300

ubuntu-defaults-baltix (0.1) UNRELEASED; urgency=low

  * Initial release, based on baltix-default-settings package.
  * Added gnome-panel, boot-repair, gpoweroff, gstreamer0.10-plugins-ugly,
   gstreamer0.10-ffmpeg, htop and app-install-data-medibuntu to Recommends
  * Included some Lithuanian radio stations to radiostations.txt - now 
   Rhythmbox and Banshee music players will have LT radiostations by default.

 -- Mantas Kriaučiūnas <mantas@akl.lt>  Wed, 23 May 2012 12:28:00 +0300
